Bug 116780 - audio/libtunepimp fails to compile
Summary: audio/libtunepimp fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Botero-Lowry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-01 09:30 UTC by jaapb
Modified: 2007-10-03 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (599 bytes, patch)
2007-10-01 09:30 UTC, jaapb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jaapb 2007-10-01 09:30:01 UTC
The MP4Close function in my version of libmp4 (port mpeg4ip-libmp4v2-1.6) doesn't return a bool, but a void, which results in libtunepimp failing to compile.

Fix: Adding the attached patch to the files directory of the port should solve the problem.


Patch attached with submission follows:
How-To-Repeat: install audio/libtunepimp.
Comment 1 Edwin Groothuis freebsd_committer 2007-10-01 12:18:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alexbl

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-10-03 00:25:49 UTC
alexbl      2007-10-02 23:25:43 UTC

  FreeBSD ports repository

  Added files:
    audio/libtunepimp/files patch-plugins-mp4-mp4.cpp 
  Log:
   - Fix build with new version of mpeg4ip-libmp4v2
  
  PR:             116780
  Submitted by:   Jaap Boender <jaapb@kerguelen.org>
  
  Revision  Changes    Path
  1.1       +23 -0     ports/audio/libtunepimp/files/patch-plugins-mp4-mp4.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alexander Botero-Lowry freebsd_committer 2007-10-03 00:26:02 UTC
State Changed
From-To: open->closed

Committed, thanks!